Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

DoctrineMigrationsBundle for Symfony 2.0.17? #40

Closed
oopsFrogs opened this Issue · 1 comment

2 participants

oopsFrogs Christophe Coevoet
oopsFrogs

I was on Symfony 2.0.17, and install DoctrineMigrationsBundle as suggested by the Symfony page, However, when I ran doctrine:migrations:diff, an erroe message occured:

Fatal error: Call to undefined method Doctrine\DBAL\Configuration::getFilterSchemaAssetsExpression() in /Applications/MAMP/htdocs/oopsFrogs/vendor/doctrine-migrations/lib/Doctrine/DBAL/Migrations/Tools/Console/Command/DiffCommand.php on line 85

It seems that the getFilterSchemaAssesExpression() function appeared in the 2.2.1? version of Doctrine\DBAL but Symfony 2.0.17 used Doctrine\DBAL 2.1.7.

So is it a discrepancy amoung DoctrineMigrationsBuncle origin/2.0 and Symfony2.0.17, can somebody tell me how to fix it? Thanks a lot!

Christophe Coevoet
Collaborator
Christophe Coevoet stof closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.